# Uses of Interface
com.sun.source.doctree.IndexTree

Packages that use IndexTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of IndexTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type IndexTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitIndex(IndexTree node, P p)`
Visits an `IndexTree` node.

## Uses of IndexTree in com.sun.source.util

Methods in com.sun.source.util that return IndexTree
Modifier and Type
Method
Description
`IndexTree`
DocTreeFactory.`newIndexTree(DocTree term, List<? extends DocTree> description)`
Creates a new `IndexTree` object, to represent an `{@index }` tag.
Methods in com.sun.source.util with parameters of type IndexTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitIndex(IndexTree node, P p)`
Visits an `IndexTree` node.
`R`
SimpleDocTreeVisitor.`visitIndex(IndexTree node, P p)`
Visits an `IndexTree` node.